### Constructor

# Gio SimpleIOStream new

since: 2.44

#### Declaration [src]

    GIOStream*
    g_simple_io_stream_new (
      GInputStream* input_stream,
      GOutputStream* output_stream
    )

#### Description [src]

Creates a new `GSimpleIOStream` wrapping `input_stream` and `output_stream`. See also `GIOStream`.

Available since: 2.44

#### Parameters

`input_stream`

  Type: `GInputStream`

  A `GInputStream`.

  The data is owned by the caller of the function.

`output_stream`

  Type: `GOutputStream`

  A `GOutputStream`.

  The data is owned by the caller of the function.

#### Return value

Type: `GIOStream`

A new `GSimpleIOStream` instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.